html,
body,
#app {
  --v-header-height: 140px;
  --v-header-logo: 45px;
  --v-header-gap: 40px;

  --v-padding-x-46: 3.2em;
  --v-padding-x-normal: 10em;
  --v-padding-x-large: 20em;

  /* --v-large-font-size: 1.6em; */
  --v-large-font-size: 20px;
  /* --v-xlarge-font-size: 3.2em; */
  --v-xlarge-font-size: 30px;
  --v-normal-font-size: 14px;
  --v-small-font-size: 10px;

  --v-index-img-size-a: 1100px;
  --v-index-img-size-b: 88vw;

  --v-img-gap-normal: 20px;
  --v-img-gap-small: 10px;

  --v-grid-product-attr: 2;

  --v-max-width-normal: 1096px;
}

.kk-d-none {
  display: none;
}

body {
  font-family: "Noto Sans JP", "Hiragino Sans", "Yu Gothic", sans-serif;
  margin: 0;
  padding: 0;
  background-color: #fff;
  overflow-x: hidden;

  height: 100%;
  min-height: 100vh;
}

html[lang="jp"] body {
  font-family: "Noto Sans JP", "Hiragino Sans", "Yu Gothic", "Meiryo", sans-serif;
}

html[lang="cn"] body {
  font-family: "Microsoft YaHei", "微软雅黑", sans-serif !important;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* padding: 2em var(--v-padding-x-normal); */
  height: var(--v-header-height);
  box-sizing: border-box;

  max-width: var(--v-max-width-normal);
  margin: auto;
}

header .header-logo {
  max-inline-size: 30%;
}

header .header-logo img {
  max-block-size: var(--v-header-logo);
  max-inline-size: 100%;
  object-fit: contain;
}

header .header-menu {
  display: flex;
  border: 0px solid #333;
  align-items: center;
  gap: var(--v-header-gap);
  font-size: 14px;
  font-weight: 600;
}

header .header-menu a {
  text-decoration: none;
  color: inherit;
}

header .header-menu .selected,
header .header-small-menu .selected {
  color: #C00000 !important;
  font-weight: 700;
}

header .header-menu .header-menu-language {
  display: flex;
  border: 0px solid #333;
  gap: 10px;
}

header .header-menu .header-menu-language a {
  cursor: pointer;
  color: #666;
  text-decoration: none;
}

header .header-menu .header-menu-language .selected,
header .header-small-language .selected {
  color: #C00000;
  font-weight: 800;
}

header .header-small-menu {
  display: none
}

header .header-small-language {
  display: none
}

/* フッター */
footer {
  background-color: #404040;
  min-height: 300px;
  align-content: center;
  text-align: center;
  position: relative;
}

footer div {
  width: 100%;
  margin-top: 0px;
  padding: 0 10px;
  box-sizing: border-box;
}

footer div .company_name {
  font-size: var(--v-large-font-size);
  color: #fff;
  font-weight: 700;
}

footer div .company_description {
  font-size: var(--v-normal-font-size);
  color: #fff;
  font-weight: 500;
}

footer div.others {
  display: flex;
  bottom: 10px;
  position: absolute;
  padding-inline: 50px;
  box-sizing: border-box;
}

footer div.others .kinko_en {
  display: flex;
  justify-content: flex-start;
  color: #fff;
  font-size: medium;
}

footer div.others .kinko_copyright {
  display: flex;
  justify-content: center;
  color: #fff;
  font-size: var(--v-small-font-size);
}

@media (max-width: 1600px) {

  html,
  body,
  #app {
    --v-padding-x-46: 3.2em;
    /* --v-large-font-size: 1.3em; */
    /* --v-xlarge-font-size: 2.5em; */

    --v-index-img-size-a: 960px;
    --v-index-img-size-b: 68vw;

    --v-grid-product-attr: 1;
  }
}

@media (max-width: 1400px) {

  html,
  body,
  #app {
    /* --v-padding-x-normal: 5em; */
    --v-padding-x-large: 10em;

    --v-index-img-size-a: 960px;
    --v-index-img-size-b: 68vw;
  }
}

@media (max-width: 1200px) {

  html,
  body,
  #app {
    --v-padding-x-46: 1.6em;
    /* --v-padding-x-normal: 3em; */
    --v-padding-x-large: 8em;

    /* --v-large-font-size: 1em; */
    /* --v-xlarge-font-size: 2em; */

    --v-img-gap-normal: 12px;
  }
}

@media (max-width: 990px) {

  html,
  body,
  #app {
    /* --v-large-font-size: .8em; */
    /* --v-xlarge-font-size: 1.5em; */
    --v-img-gap-normal: 8px;
  }
}

@media (max-width:768px) {

  html,
  body,
  #app {
    /* --v-normal-font-size: .5em; */
    --v-xlarge-font-size: 30px;
    --v-padding-x-normal: 1em;
  }

  header {
    justify-content: center;
    position: relative;
  }

  header .header-menu {
    display: none;
  }

  header .header-small-menu {
    display: flex;
    position: absolute;
    left: 10px;
  }

  header .header-small-menu .navUnshown {
    display: none;
  }

  header .header-small-menu #navOpen {
    width: 20px;
    height: 24px;
    vertical-align: middle;
    display: inline-block;
    margin: 2px 0;
    z-index: 2000;
  }

  header .header-small-menu #navOpen span,
  header .header-small-menu #navOpen span:before,
  header .header-small-menu #navOpen span:after {
    background: #303030;
  }

  header .header-small-menu #navOpen span,
  header .header-small-menu #navOpen span:before,
  header .header-small-menu #navOpen span:after {
    width: 20px;
    height: 3px;
    position: absolute;
    border-radius: 1px;
    display: block;
    content: '';
    cursor: pointer;
  }

  header .header-small-menu #navOpen span:before {
    bottom: -8px;
  }

  header .header-small-menu #navOpen span:after {
    bottom: -16px;
  }

  header .header-small-menu #navClose {
    width: 100%;
    height: 100%;
    display: none;
    position: fixed;
    z-index: 3000;
    top: 0;
    left: 0;
    background: black;
    opacity: 0;
    transition: ease-in-out;
    transition: .3s;
  }

  header .header-small-menu #navClose p {
    width: 40px;
    height: 40px;
    color: #fff;
    font-size: 40px;
    text-align: center;
    line-height: 40px;
    position: absolute;
    top: 5px;
    left: 145px;
    margin: 0;
    padding: 0;
    transition: .3s ease-in-out;
  }

  header .header-small-menu #navInput:checked~#navClose {
    display: block;
    opacity: .5;
  }

  header .header-small-menu #navContents {
    max-width: 250px;
    height: 100% !important;
    overflow: auto;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    background: #85878a;
    transition: .3s ease-in-out;
    -webkit-transform: translateX(-105%);
    transform: translateX(-105%);
    margin: 0;
    padding: 0;
  }

  header .header-small-menu #navContents a {
    display: block;
    width: auto;
    text-decoration: none;
    padding-inline: 20px;
    padding-block: 20px;
    border-block-end: solid 1px #bdb3b3;
    color: #fff;
  }

  header .header-small-menu #navInput:checked~#navContents {
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
    box-shadow: 6px 0 25px rgba(0, 0, 0, .15);
  }


  header .header-small-language {
    gap: 10px;
    display: flex;
    position: absolute;
    right: 10px;
  }

  header .header-small-language a {
    text-decoration: none;
    color: #666;
  }

  footer {
    min-height: 200px;
  }

  footer div .company_name {
    font-size: medium;
    font-weight: 500;
  }

  footer div .company_description {
    font-size: small;
  }

  footer div.others {
    padding-inline: 10px;
  }

  /* footer div.others .kinko_en {
    font-size: small;
  } */

  footer div.others .kinko_copyright {
    font-size: x-small;
  }

}

@media (max-height: 800px) {

  html,
  body,
  #app {
    --v-header-height: 100px;
    --v-header-gap: 20px;
  }
}

@media (max-height: 700px) {

  html,
  body,
  #app {
    --v-header-height: 80px;
  }
}

@media (max-height: 600px) {

  html,
  body,
  #app {
    --v-header-height: 60px;
    --v-header-logo: 25px;
  }
}